Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.taglib
Class CreateGroupExtraInfo

    java.lang.Object
      javax.servlet.jsp.tagext.TagExtraInfo
          com.bea.p13n.usermgmt.taglib.UserManagementTagExtraInfo
              com.bea.p13n.usermgmt.taglib.ResultTagExtraInfo
                  com.bea.p13n.usermgmt.taglib.CreateGroupExtraInfo

public class CreateGroupExtraInfo
extends ResultTagExtraInfo

Sets JSP page-scoped variables as a result of the <ugm:createGroup> tag. This will include a result variable containing the result of the operation, and optionally an id variable containing the new Group.

Constructor Summary
`CreateGroupExtraInfo()`

Method Summary
`VariableInfo[]` | `getVariableInfo(TagData data)` Create an array of VariableInfo objects containing information about the variables to create.
`boolean` | `isValid(TagData data)`

Methods inherited from class com.bea.p13n.usermgmt.taglib.ResultTagExtraInfo
`createResultInfo`

Methods inherited from class javax.servlet.jsp.tagext.TagExtraInfo
`getTagInfo, setTagInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateGroupExtraInfo

    public CreateGroupExtraInfo()

Method Detail

### getVariableInfo

    public VariableInfo[] getVariableInfo(TagData data)

  Create an array of VariableInfo objects containing information about the variables to create.

  Overrides:
    `getVariableInfo` in class `ResultTagExtraInfo`

### isValid

    public boolean isValid(TagData data)

  Overrides:
    `isValid` in class `ResultTagExtraInfo`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved